#!/bin/bash
# Script para guardar como variable de entorno el valor de MIGASFREE-CID
# Require tener instalado migasfree-cid (dependencia de vx-dga-l-migasfree-client)
FICHVARGENERAL="/etc/default/vx-dga-variables/vx-dga-variables-general.conf"

if [[ -z "${MIGASFREECID+x}" ]] && ! vx-modolive-check; then
    USUARIO=$(vx-usuario-grafico)
    MID=$(su "${USUARIO}" -c '/usr/bin/migasfree-cid' --login)
    if [[ "${MID}" ]] && [[ "${MID}" != "-----" ]]; then
        sed -i --follow-symlinks "/MIGASFREECID/d" "${FICHVARGENERAL}"
        echo "MIGASFREECID=$MID" >>"${FICHVARGENERAL}"
    fi
fi
